Bug 1657410 - Review Request: python-nistats - Modeling and Statistical analysis of fMRI data in Python
Summary: Review Request: python-nistats - Modeling and Statistical analysis of fMRI da...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-12-07 23:44 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-01-23 02:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 01:45:52 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-12-07 23:44:49 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-nistats/python-nistats.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-nistats/python-nistats-0.0.1b-1.fc29.src.rpm

Description:
Nistats is a Python module for fast and easy modeling and statistical analysis
of functional Magnetic Resonance Imaging data.

It leverages the nilearn Python toolbox for neuroimaging data manipulation
(data downloading, visualization, masking).

This work is made available by a community of people, amongst which the INRIA
Parietal Project Team and D esposito lab at Berkeley.

It is based on developments initiated in the nipy nipy project.

Fedora Account System Username: ankursinha

Comment 1 Elliott Sales de Andrade 2018-12-10 01:34:20 UTC
> # Downloads data. All tests pass locally in mock
> # mock -r fedora-rawhide-x86_64 rebuild <srpm> --enable-network --rpmbuild-opts="--with tests"
> %bcond_with tests

Surely not all of them? You could select out the ones that actually use the network?

> This work is made available by a community of people, amongst which the INRIA
> Parietal Project Team and D esposito lab at Berkeley.

There's an apostrophe missing in the name here.

> Version:        0.0.1b
> Release:        1%{?dist}

Prerelease information (b) belongs in the Release tag, which should start with 0:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_prerelease_versions

> # Not in setup.py so generator probably wont pick them up

Try sending a patch upstream? Actually, are you sure you need these? I see duplicate python3.7dist() and python3dist() requirements on the result.

Both numpydoc and sphinx_gallery are bundled. They're only used for building
docs, but maybe petition upstream to stop doing that?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (unspecified)", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 129 files have unknown license.
     Detailed output of licensecheck in 1657410-python-nistats/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.7/site-
     packages, /usr/lib/python3.7
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-nistats , python-nistats-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-nistats-0.0.1b-1.fc30.noarch.rpm
          python-nistats-doc-0.0.1b-1.fc30.noarch.rpm
          python-nistats-0.0.1b-1.fc30.src.rpm
python3-nistats.noarch: W: spelling-error Summary(en_US) fMRI -> MRI, f MRI, firm
python3-nistats.noarch: W: spelling-error %description -l en_US nilearn -> nil earn, nil-earn, learner
python3-nistats.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python3-nistats.noarch: W: spelling-error %description -l en_US amongst -> among st, among-st, among
python3-nistats.noarch: W: spelling-error %description -l en_US esposito -> expositor
python3-nistats.noarch: W: spelling-error %description -l en_US nipy -> nip, nippy, nips
python-nistats-doc.noarch: W: spelling-error Summary(en_US) fMRI -> MRI, f MRI, firm
python-nistats.src: W: spelling-error Summary(en_US) fMRI -> MRI, f MRI, firm
python-nistats.src: W: spelling-error %description -l en_US nilearn -> nil earn, nil-earn, learner
python-nistats.src: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python-nistats.src: W: spelling-error %description -l en_US amongst -> among st, among-st, among
python-nistats.src: W: spelling-error %description -l en_US esposito -> expositor
python-nistats.src: W: spelling-error %description -l en_US nipy -> nip, nippy, nips
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-nistats (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(nibabel)
    python3.7dist(nilearn)
    python3.7dist(numpy)
    python3.7dist(pandas)
    python3.7dist(patsy)
    python3.7dist(scikit-learn)
    python3.7dist(scipy)
    python3dist(nibabel)
    python3dist(nilearn)
    python3dist(numpy)
    python3dist(pandas)
    python3dist(patsy)
    python3dist(scikit-learn)
    python3dist(scipy)

python-nistats-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-nistats:
    python3-nistats
    python3.7dist(nistats)
    python3dist(nistats)

python-nistats-doc:
    python-nistats-doc



Source checksums
----------------
https://github.com/nistats/nistats/archive/rel0.0.1b/python-nistats-0.0.1b.tar.gz :
  CHECKSUM(SHA256) this package     : 61134ba4b140a327ca2b94c289b77eda05ec895046f5c636149b4d335bb99480
  CHECKSUM(SHA256) upstream package : 61134ba4b140a327ca2b94c289b77eda05ec895046f5c636149b4d335bb99480


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1657410 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Ankur Sinha (FranciscoD) 2018-12-13 00:26:54 UTC
(In reply to Elliott Sales de Andrade from comment #1)
> > # Downloads data. All tests pass locally in mock
> > # mock -r fedora-rawhide-x86_64 rebuild <srpm> --enable-network --rpmbuild-opts="--with tests"
> > %bcond_with tests
> 
> Surely not all of them? You could select out the ones that actually use the
> network?

Updated. I'd initially thought it did lots of dataset tests, but they're all in one file so I've disabled that one.

> 
> > This work is made available by a community of people, amongst which the INRIA
> > Parietal Project Team and D esposito lab at Berkeley.
> 
> There's an apostrophe missing in the name here.

Nice catch! Re-added. It messes up the syntax highlighting in vim, so I'd removed it temporarily!

> 
> > Version:        0.0.1b
> > Release:        1%{?dist}
> 
> Prerelease information (b) belongs in the Release tag, which should start
> with 0:
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/
> #_prerelease_versions

Updated.

> 
> > # Not in setup.py so generator probably wont pick them up
> 
> Try sending a patch upstream? Actually, are you sure you need these? I see
> duplicate python3.7dist() and python3dist() requirements on the result.

Yeh. The autogenerator is a lot smarter than I thought! It wasn't picking up six, so I've only added that manually now.


> Both numpydoc and sphinx_gallery are bundled. They're only used for building
> docs, but maybe petition upstream to stop doing that?

Removed in %prep, and will open an issue upstream now.

 

Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-nistats/python-nistats-0.0.1-0.1b0.fc29.src.rpm
https://ankursinha.fedorapeople.org/python-nistats/python-nistats.spec

Cheers!
Ankur

Comment 3 Elliott Sales de Andrade 2018-12-14 08:07:28 UTC
Shouldn't you add sphinx-gallery and numpydoc to BuildRequires when making docs now? There's also a double "nipy nipy" in the description.

Comment 4 Ankur Sinha (FranciscoD) 2018-12-14 09:26:58 UTC
Done. Not sure where I got the double "nipy" from.


Anyway, updated spec/srpm:

https://ankursinha.fedorapeople.org/python-nistats/python-nistats-0.0.1-0.1b0.fc29.src.rpm
https://ankursinha.fedorapeople.org/python-nistats/python-nistats.spec

Cheers!
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2019-01-06 14:59:20 UTC
Hi Elliot,

Is there anything else that needs to be done---could you please complete the review when you have a few cycles to spare?

Happy new year!

Cheers,
Ankur

Comment 6 Elliott Sales de Andrade 2019-01-08 06:52:05 UTC
I don't believe there are any remaining issues, but I can no longer build this. python-s3transfer is orphaned and FTBFS so is no longer in Rawhide. It is a dependency of python-boto3 which is a dependency of this package.

Comment 7 Elliott Sales de Andrade 2019-01-08 06:57:35 UTC
I was able to build on Fedora 29, so I will approve on that basis, but you will have some issues on Rawhide.


PS, if you are looking for something to review, have a look at python-pycountry, bug 1659349.

Comment 8 Ankur Sinha (FranciscoD) 2019-01-08 13:29:30 UTC
Ugh. I'll request SCM but I'll speak to the boto3 maintainers about s3transfer etc before building. Thanks for the review. I've takeh up the pycountry review.

Comment 9 Ankur Sinha (FranciscoD) 2019-01-08 14:41:54 UTC
SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/9384

Bug filed against boto3: https://bugzilla.redhat.com/show_bug.cgi?id=1664331

Comment 10 Gwyn Ciesla 2019-01-08 15:16:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-nistats

Comment 11 Fedora Update System 2019-01-14 17:57:23 UTC
python-nistats-0.0.1-0.1b0.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7446f0c9a7

Comment 12 Fedora Update System 2019-01-14 17:57:28 UTC
python-nistats-0.0.1-0.1b0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9bc1a26988

Comment 13 Fedora Update System 2019-01-15 02:23:38 UTC
python-nistats-0.0.1-0.1b0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7446f0c9a7

Comment 14 Fedora Update System 2019-01-15 03:32:21 UTC
python-nistats-0.0.1-0.1b0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9bc1a26988

Comment 15 Fedora Update System 2019-01-23 01:45:52 UTC
python-nistats-0.0.1-0.1b0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-01-23 02:28:02 UTC
python-nistats-0.0.1-0.1b0.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.